Subject: Re: [PATCH v2] mtd: rawnand: ams-delta: Drop board specific partition info

From: Miquel Raynal <[email-masked]>
Date: Thu, 18 Apr 2019 08:49:29 +0200

Hi Janusz,

Janusz Krzysztofik <[email-masked]> wrote on Thu, 18 Apr 2019
01:09:59 +0200:

> Hi Aaro, Tony,
> 
> On Wednesday, April 17, 2019 11:40:10 AM CEST Miquel Raynal wrote:
> > Hi Janusz,
> > 
> > Janusz Krzysztofik <[email-masked]> wrote on Sun, 24 Mar 2019
> > 23:33:44 +0100:
> >   
> > > After recent modifications, only a hardcoded partition info makes
> > > the driver device specific.  Other than that, the driver uses GPIO
> > > exclusively and can be used on any hardware.
> > > 
> > > Drop the partition info and use MTD partition parser with default list
> > > of parser names instead.  For the OF parser to work correctly, pass
> > > device of_node to mtd.
> > > 
> > > Amstrad Delta users should append the following partition info to their
> > > kernel command line, possibly by embedding it in CONFIG_CMDLINE:
> > > 
> > > mtdparts=ams-delta-nand:3584k(Kernel),256k(u-boot),256k(u-boot_params),\
> > > 256k(Amstrad_LDR),27m(File_system),768k(PBL_reserved).
> > > 
> > > For their convenience, CONFIG_MTD_CMDLINE_PARTS symbol is selected
> > > automatically from that board Kconfig if this NAND driver is also
> > > selected.
> > > 
> > > Signed-off-by: Janusz Krzysztofik <[email-masked]>
> > > Cc: Tony Lindgren <[email-masked]>
> > > ---  
> > 
> > FYI I am okay with the change but I am waiting for acks before applying
> > it.  
> 
> May we have an ack from you?
> 
> If still not convinced with my clarifications, I can add a comment to help text 
> in Kconfig, either squashed or in a follow up patch, on the requirement of 
> appending mtdparts parameter to command line.  What do you think?

In the same patch I guess that would be fine.

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel